package sample02;

import java.io.IOException;
import java.io.PrintWriter;
import java.sql.SQLException;

import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.sql.DataSource;

import net.core22.dbfw.DB;
import net.core22.dbfw.DBException;
import net.core22.dbfw.DataSourceFactory;
import net.core22.dbfw.EntityList;
import net.core22.dbfw.Param;
import net.core22.dbfw.ValidateException;

/**
 * Servlet implementation class Sample
 */
public class Sample02 extends HttpServlet {
	private static final long serialVersionUID = 1L;

    /**
     * @see HttpServlet#HttpServlet()
     */
    public Sample02() {
        super();
        // TODO Auto-generated constructor stub
    }

	/**
	 * @see HttpServlet#doGet(HttpServletRequest request, HttpServletResponse response)
	 */
	protected void doGet(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
		// TODO Auto-generated method stub
	    response.setContentType("text/html");
	    // 出力用PrintWriterを取得
	    PrintWriter out = response.getWriter();
		//DataSourceを利用できるとき（ＷＥＢアプリケーション）
		DataSource ds = null;
		DB db = null;
		try {
			ds = DataSourceFactory.getDataSource();
			db = new DB(ds);
			db.connect();
			//SQLに渡すパラメータ
			Param param = new Param();
			param.add(0, "1");
			//SELET文を発行する
			//UserEntityクラスで、EntityListとして取得できる
			EntityList elist = db.executeQuery("SQL002",param,DataEntity.class);
			//データ読み出し
			int size = elist.size();
			for (int i = 0; i < size; i++) {
				DataEntity en = (DataEntity)elist.get(i);
				out.println("id="+en.getId()+" name="+en.getName());
			}
		}catch(SQLException e){
			e.printStackTrace();
		}catch(DBException e){
			e.printStackTrace();
		}catch(ValidateException e){
			e.printStackTrace();
		}finally{
			try{
				db.close();
			}catch(Exception ex){
				ex.printStackTrace();
				//何もしない
			}
		}
	}

	/**
	 * @see HttpServlet#doPost(HttpServletRequest request, HttpServletResponse response)
	 */
	protected void doPost(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
		// TODO Auto-generated method stub
		super.doPost(request, response);
	}

}
